Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_CEC_SupplierControl_Adapter Class Reference

Forwards timeout events to the Reactive SupplierControl. More...

`#include <CEC_Reactive_SupplierControl.h>`

Inheritance diagram for TAO_CEC_SupplierControl_Adapter:

[legend]
Collaboration diagram for TAO_CEC_SupplierControl_Adapter:

[legend]
List of all members.

## Public Methods

| TAO_CEC_SupplierControl_Adapter (TAO_CEC_Reactive_SupplierControl *adaptee)
| Constructor.
virtual int | handle_timeout (const ACE_Time_Value &tv, const void *arg=0)

## Private Attributes

TAO_CEC_Reactive_SupplierControl * | adaptee_
| The adapted object.

## Detailed Description

Forwards timeout events to the Reactive SupplierControl.

The Reactive SupplierControl strategy uses the reactor to periodically wakeup and verify the state of the suppliers registered with the Event Channel.

## Constructor & Destructor Documentation

TAO_CEC_SupplierControl_Adapter::TAO_CEC_SupplierControl_Adapter | ( | TAO_CEC_Reactive_SupplierControl * | adaptee | ) |

| Constructor.

## Member Function Documentation

int TAO_CEC_SupplierControl_Adapter::handle_timeout | ( | const ACE_Time_Value & | tv,
|  | const void * | arg = 0
| ) | `[virtual]`

| Reimplemented from ACE_Event_Handler.

## Member Data Documentation

TAO_CEC_Reactive_SupplierControl* TAO_CEC_SupplierControl_Adapter::adaptee_`[private]`

| The adapted object.

The documentation for this class was generated from the following files:

- CEC_Reactive_SupplierControl.h
- CEC_Reactive_SupplierControl.cpp